<?php
/**
 * The Template for displaying all single posts
 */
 $sassnex_redux_demo = get_option('redux_demo');

get_header(); ?>
<div class="sassnex-bc">
    <div class="intro_wrapper">
        <div class="container">  
            <div class="row">        
                <div class="col-sm-12 col-md-12 col-lg-12">
                    <div class="intro_text">
                        <h1 class="wow fadeInUp" data-wow-duration="2s" data-wow-delay=".2s"><?php the_post(); printf( esc_html__( 'All posts by %s', 'sassnex' ), get_the_author() );?></h1>
                        <div class="select_pages">
                            <a href="<?php echo esc_url(home_url('/')); ?>" title=""><?php echo esc_html__( 'Home', 'sassnex' );?></a> <span><?php if(isset($sassnex_redux_demo['blog_index_title']) && $sassnex_redux_demo['blog_index_title']!=''){?>
                                <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['blog_index_title']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Blog Page', 'sassnex' );
                                }?></span> 
                        </div>
                    </div>
                </div>
            </div>
        </div> 
    </div>  
    <div class="banner_shapes">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_1.png" alt="" class="agency_1 img-fluid">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_2">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_6">        
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_3.png" alt="" class="agency_3">    
    </div>
</div>

<section class="blog_page">
    <div class="container">  
        <div class="row">  
            <div class="col-md-8 col-sm-12 col-xs-12">       

                <?php 
                $i=0;
                $args = array(    
                        'paged' => $paged,
                        'post_type' => 'post',
                        );
                $wp_query = new WP_Query($args);
                while (have_posts()): the_post(); 
                $my_date = get_the_date('d M Y', false);
                $image = get_post_meta(get_the_ID(),'_cmb_image123', true);
                $i++;
                ?>     
                <div class="col-12 col-md-12 col-lg-12">    
                    <div class="row d-flex justify-content-center">  
                        <div class="col-12 col-md-12 col-lg-12 p-0">
                            <div class="signle_services signle_services_2">
                                <?php if(wp_get_attachment_url(get_post_thumbnail_id()) !=''){?>
                                <div class="blog_banner">
                                    <a href="<?php the_permalink();?>" ><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="<?php echo esc_attr__( 'Image', 'sassnex' );?>"></a>
                                </div>
                                <?php } ?>
                                <div class="blog_content">
                                    <h3><a href="<?php the_permalink();?>" ><?php the_title();?></a></h3>
                                    <p><?php if(isset($sassnex_redux_demo['blog_excerpt']) && $sassnex_redux_demo['blog_excerpt']!==''){?>
                                    <?php echo esc_attr(sassnex_excerpt($sassnex_redux_demo['blog_excerpt'])); ?>
                                    <?php }else{?>
                                    <?php echo esc_attr(sassnex_excerpt(15));}?></p>
                                    <div class="bloger_img">     
                                    </div>
                                    <ul class="bloger_info">
                                        <li class="post_date"><?php the_time(get_option( 'date_format' ));?></li>
                                        <li class="loger"><?php the_author_posts_link(); ?></li>
                                        <?php if ( is_sticky() ) echo '<li class="featured-post">' . esc_html__( 'Sticky', 'sassnex' ) . '</li>';?>
                                        <?php if ( is_sticky() ) { ;?>
                                        <li class="avatar-right avatar-right-stick"><?php echo get_avatar(get_the_author_meta('user_email'),122,
                                        $default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=100' );?></li>
                                        <?php } else { ;?>
                                        <li class="avatar-right"><?php echo get_avatar(get_the_author_meta('user_email'),122,
                                        $default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=100' );?></li>
                                        <?php } ;?>
                                    </ul>
                                </div>
                            </div>
                        </div> 
                    </div>
                </div>  
                <?php endwhile; ?>
                
                <div class="col-12 col-md-12 col-lg-12 d-flex justify-content-center">
                    <div class="pagination_wrapper">
                        <nav aria-label="...">
                            <?php sassnex_pagination();?> 
                        </nav>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-12 col-xs-12">
                <div class="sidebar widget-sidebar">
                    <div class="allwidget-wrp">
                        <?php get_sidebar();?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section><!-- End Services section -->



<!-- star Secured section -->
<?php if(isset($sassnex_redux_demo['blog_trial_title']) && $sassnex_redux_demo['blog_trial_title']!=='') { ?>
<div class="free_trial_inner_page" id="free_trial_inner_page_blog">
    <div class="container">
        <div class="row">
            <div class="col-12 col-md-12">
               <div class="need_help_wrapper">
                    <div class="subscribe_wrapper justify-content-between d-flex ">   
                        <div class="subscribe_title">
                            <h2><?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['blog_trial_title']));?></h2>
                            <p><?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['blog_trial_subtitle']));?></p>
                        </div>
                        <div class="free_trial_btn">
                            <a href="<?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['blog_button_link']));?>" class="chat_btn d_btn_gradient btn_gradient"><?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['blog_trial_button_text']));?></a>
                        </div>
                    </div>
                    <div class="banner_shapes">
                        <img src="<?php echo get_template_directory_uri();?>/images/shapes/sub_1.png" alt="" class="app_1">
                        <img src="<?php echo get_template_directory_uri();?>/images/shapes/sub_2.png" alt="" class="app_2"> 
                        <img src="<?php echo get_template_directory_uri();?>/images/shapes/sub_3.png" alt="" class="app_3">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div><!-- End Secured section -->
<?php } ?>

<?php get_footer(); ?>
