<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>
<section class="comment_area">
    <div class="container">
        <div class="row d-flex justify-content-center">
  <?php if ( have_comments() ) : ?>

      <div class="col-12 col-md-12 col-lg-12">
          <h3 class="comment_title"><?php comments_number( esc_html__('0 Comments', 'sassnex'), esc_html__('1 Comment', 'sassnex'), esc_html__('% Comments', 'sassnex') ); ?></h3>
          <div class="commnet-wrapper">
              <div class="comment-list-items">
                  <?php wp_list_comments('callback=sassnex_theme_comment'); ?>
                  <div class="col-md-12"> 
                      <!-- START PAGINATION -->
                      <?php
                      if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
                      ?>
                      <div class="pagination_area">
                         <nav>
                            <ul class="pagination">
                                 <li> <?php paginate_comments_links( 
                                array(
                                'prev_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-left"></i>', 'sassnex' ),ENT_QUOTES),
                                'next_text' => wp_specialchars_decode(esc_html__( '<i class="fa fa-angle-right"></i>', 'sassnex' ),ENT_QUOTES),
                                ));  ?>
                                  </li>
                            </ul>
                         </nav>
                      </div>
                      <?php endif; ?>
                      <!-- END PAGINATION --> 
                  </div>
              </div>
          </div> 
      </div> 

    <?php endif; ?>
    <div class="col-12 col-md-12 col-lg-12">
    <?php if ( is_singular() ) wp_enqueue_script( "comment-reply" );
        $aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
                'id_form' => 'commentform',        
                'class_form' => 'comment_form',                         
                'title_reply'=> esc_html__( 'Post a Comment', 'sassnex' ),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<input class="form-control comment-form-author" type="text" value="" name="author"  placeholder="'.esc_attr__('Enter your name*', 'sassnex').'" id="author">',
                    'email' => '<input class="form-control comment-form-email" type="text" value="" placeholder="'.esc_attr__('Enter your email address*', 'sassnex').'" name="email" id="email">',                                                                                
                ) ),   
                'comment_field' => '<textarea class="form-control comment-form-comment" rows="8" name="comment" '.$aria_req.' placeholder="'.esc_attr__('Write comment*', 'sassnex').'" id="comment"></textarea>',                    
                 'label_submit' => esc_html__( 'Submit', 'sassnex' ),
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',               
        )
    ?>
    <?php if ( comments_open() ) : ?>
    <?php comment_form($comment_args); ?>
    <?php endif; ?> 
      </div>    
    </div>
  </div>
</section>
          