<?php $sassnex_redux_demo = get_option('redux_demo');?>
<!DOCTYPE html>
<html <?php language_attributes();?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <link rel="shortcut icon" href="<?php if(isset($sassnex_redux_demo['favicon']['url'])){?><?php echo esc_url($sassnex_redux_demo['favicon']['url']); ?><?php }?>">
    <?php }?>

    <?php wp_head(); ?>
                     
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body id="bg" <?php body_class(); ?>>
<div id="loader-wrapper">
    <div id="loader"></div>
    <div class="loader-section section-left"></div>
    <div class="loader-section section-right"></div>
</div>
<header id="header" class="agency">
    <div class="header-top">
        <div class="sassnex_nav">
            <div class="container">
                <nav class="navbar navbar-expand-md navbar-light bg-faded">
                    <?php if(isset($sassnex_redux_demo['logo']['url']) && $sassnex_redux_demo['logo']['url'] !== ''){ ?>
                            <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url($sassnex_redux_demo['logo']['url']); ?>" alt="logo"></a>
                    <?php }else{ ?>
                            <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo get_template_directory_uri();?>/images/logo1.png" alt="logo"></a>
                    <?php } ?> 
                    <div class="collapse navbar-collapse mean_menu" id="navbarSupportedContent">
                                <?php 

                                wp_nav_menu( 

                                array( 

                                    'theme_location' => 'primary',

                                    'container' => '',

                                    'menu_class' => '', 

                                    'menu_id' => '',

                                    'menu'            => '',

                                    'container_class' => '',

                                    'container_id'    => '',

                                    'echo'            => true,

                                     'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',

                                     'walker'            => new sassnex_wp_bootstrap_navwalker(),

                                    'before'          => '',

                                    'after'           => '',

                                    'link_before'     => '',

                                    'link_after'      => '',

                                    'items_wrap'      => '<ul  class="navbar-nav nav ml-auto %2$s">%3$s</ul>',

                                    'depth'           => 0,        

                                )

                                ); ?>
                    </div>
                    <div class="mr-auto others_option">
                        <ul class="navbar-nav mx-auto d-flex">
                            <li class="nav-item cart_wrapper"><i class="flaticon-shopping-cart cart_icon"></i>
                                <ul class="cart_list" style="overflow: auto; max-height: 450px; width: 380px;">
                                    <?php
                                    foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
                                    $_product   = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
                                    $product_id = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );

                                    if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_cart_item_visible', true, $cart_item, $cart_item_key ) ) {
                                        
                                        $product_permalink = apply_filters( 'woocommerce_cart_item_permalink', $_product->is_visible() ? $_product->get_permalink( $cart_item ) : '', $cart_item, $cart_item_key );
                                    ?>
                                    <li class="d-flex justify-content-between">
                                        <div class="cart-img">
                                            <?php
                                            $thumbnail = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image(), $cart_item, $cart_item_key );

                                            if ( ! $product_permalink ) {
                                                echo $thumbnail;
                                            } else {
                                                printf( '<a href="%s">%s</a>', esc_url( $product_permalink ), $thumbnail );
                                            }
                                            ?>
                                        </div>
                                        <div class="cart-info">
                                            <h4><?php
                                            if ( ! $product_permalink ) {
                                                echo apply_filters( 'woocommerce_cart_item_name', $_product->get_title(), $cart_item, $cart_item_key ) . '&nbsp;';
                                            } else {
                                                echo apply_filters( 'woocommerce_cart_item_name', sprintf( '<h4><a href="%s">%s</a></h4>', esc_url( $product_permalink ), $_product->get_title() ), $cart_item, $cart_item_key );
                                            }
         
                                            ?></h4>
                                            <span><?php echo apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );?> 
                                            <span><?php echo esc_html__( 'x', 'sassnex' );?> <?php echo $cart_item['quantity'];?></span></span>
                                        </div>
                                        <div class="del-icon">
                                            <?php
                                            echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf(
                                                '<a href="%s" class="remove" title="%s" data-product_id="%s" data-product_sku="%s">&times;</a>',
                                                esc_url( WC()->cart->get_remove_url( $cart_item_key ) ),
                                                __( 'Remove this item', 'woocommerce' ),
                                                esc_attr( $product_id ),
                                                esc_attr( $_product->get_sku() )
                                            ), $cart_item_key );
                                            ?>
                                        </div>
                                    </li>
                                    <?php } } ?>
                                    <li class="cart-border">
                                        <div class="subtotal-text"><?php echo esc_html__( 'Subtotal:', 'sassnex' );?> </div>
                                        <div class="subtotal-price"><?php wc_cart_totals_subtotal_html(); ?></div>
                                    </li>
                                    <li class="d-flex justify-content-between">
                                        <a class="cart-button" href="<?php echo esc_url( wc_get_cart_url() ); ?>"><?php echo esc_html__( 'View Cart', 'sassnex' );?></a>
                                        <a class="checkout" href="<?php echo esc_url( wc_get_checkout_url() ) ;?>"><?php echo esc_html__( 'Checkout', 'sassnex' );?></a>
                                    </li>
                                </ul>
                            </li>
                            <li class="header-search-box btn-color-dark">
                                <a href="#header-search" title="Search">
                                    <i class="flaticon-search search_btn"></i>
                                </a>
                            </li>
                            <li class="nav-item sign-in-option btn-demo " data-toggle="modal" data-target="#myModal2">
                                <div class="side_menu">
                                    <span class="line_1"></span>
                                    <span class="line_2"></span>
                                    <span class="line_3"></span>
                                </div>
                            </li>
                        </ul>
                    </div>
                </nav><!-- END NAVBAR -->
            </div> 
        </div>
    </div>
</header> <!-- End Header -->



<!-- Search Box Start Here -->
<div id="header-search" class="header-search">
    <button type="button" class="close"><?php echo esc_html__( '×', 'sassnex' );?></button>
    <form action="<?php echo esc_url(home_url('/')); ?>" class="header-search-form" method="get">
        <input type="search" name="s" value="<?php echo get_search_query() ?>" id="s" placeholder="<?php echo esc_attr__('Type here........', 'sassnex' );?>" />
        <button type="submit" class="search-btn">
            <i class="flaticon-search"></i>
        </button>
    </form>
</div>


<!-- Sidebar Menu -->
<div class="sidebar_menu">  
    <!-- Modal -->
    <div class="modal right fade" id="myModal2" tabindex="-1" role="dialog" aria-labelledby="myModalLabel2">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="flaticon-close"></i></span></button>
   
                    <div class="modal-title" id="myModalLabel2"><a href="<?php echo esc_url(home_url('/')); ?>">

                        <?php if(isset($sassnex_redux_demo['logo2']['url']) && $sassnex_redux_demo['logo2']['url'] !== ''){ ?>
                            <img src="<?php echo esc_url($sassnex_redux_demo['logo2']['url']); ?>" alt="">
                        <?php }else{ ?>
                            <img src="<?php echo get_template_directory_uri();?>/images/logo.png" alt="">
                        <?php } ?>
                        
                    </a></div>
                </div>
                <div class="modal-body">
                    <div class="bar-nav">
                        <div class="bar-top">
                            <?php if(isset($sassnex_redux_demo['sidebar_title']) && $sassnex_redux_demo['sidebar_title'] !== ''){?>
                            <h2><?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['sidebar_title']));?></h2>
                            <?php }else{ ?>
                            <h2><?php echo esc_attr__('Sassnex Pages', 'sassnex' );?></h2>
                            <?php } ?>

                            <?php 

                            wp_nav_menu( 

                            array( 

                                'theme_location' => 'secondary',

                                'container' => '',

                                'menu_class' => '', 

                                'menu_id' => '',

                                'menu'            => '',

                                'container_class' => '',

                                'container_id'    => '',

                                'echo'            => true,

                                 'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',

                                 'walker'            => new sassnex_wp_bootstrap_navwalker2(),

                                'before'          => '',

                                'after'           => '',

                                'link_before'     => '',

                                'link_after'      => '',

                                'items_wrap'      => '<ul  class=" %2$s">%3$s</ul>',

                                'depth'           => 1,        

                            )

                            ); ?>
                        </div>
                    </div>
                    <div class="bar-contact">
                        <?php if(isset($sassnex_redux_demo['sidebar_text1']) && $sassnex_redux_demo['sidebar_text1'] !== ''){?>
                        <span><?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['sidebar_text1']));?></span>
                        <?php }else{ ?>
                        <span><?php echo esc_attr__('Contact', 'sassnex' );?></span>
                        <?php } ?>

                        <?php if(isset($sassnex_redux_demo['sidebar_text2']) && $sassnex_redux_demo['sidebar_text2'] !== ''){?>
                        <span><?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['sidebar_text2']));?></span>
                        <?php }else{ ?>
                        <span><?php echo esc_attr__('+44 7700 900077', 'sassnex' );?></span>
                        <?php } ?>

                        <?php if(isset($sassnex_redux_demo['sidebar_text3']) && $sassnex_redux_demo['sidebar_text3'] !== ''){?>
                        <span><?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['sidebar_text3']));?></span>
                        <?php }else{ ?>
                        <span><?php echo esc_attr__('support@sassnex.com', 'sassnex' );?></span>
                        <?php } ?>
                    </div>

                    <div class="bar-icon">
                        <div class="serach_option widget_single">
                            <?php echo do_shortcode( '[contact-form-7 id="452" title="Sidebar Menu Contact"]' ); ?> 
                        </div>
                        <ul class="social_iocns d-flex ">
                            <?php if(isset($sassnex_redux_demo['facebook_link']) && $sassnex_redux_demo['facebook_link'] !== ''){?>
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['facebook_link']));?>"><i class="flaticon-facebook-logo icon_tw"></i></a></li>
                            <?php } ?>
                            <?php if(isset($sassnex_redux_demo['twitter_link']) && $sassnex_redux_demo['twitter_link'] !== ''){?>
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['twitter_link']));?>"><i class="flaticon-twitter icon_fb"></i></a></li>
                            <?php } ?>
                            <?php if(isset($sassnex_redux_demo['instagram_link']) && $sassnex_redux_demo['instagram_link'] !== ''){?>
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['instagram_link']));?>"><i class="flaticon-instagram-logo icon_pin"></i></a></li>
                            <?php } ?>
                            <?php if(isset($sassnex_redux_demo['linkedin_link']) && $sassnex_redux_demo['linkedin_link'] !== ''){?>
                            <li><a href="<?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['linkedin_link']));?>"><i class="flaticon-linkedin-logo icon_link"></i></a></li>
                            <?php } ?>
                        </ul>
                    </div>
                </div>
            </div><!-- modal-content -->
        </div><!-- modal-dialog -->
    </div><!-- modal -->
</div><!-- sidebar -->  