<?php
/*
 * Template Name: 404 Page
 * Description: A Page Template with a Page Builder design.
 */
$sassnex_redux_demo = get_option('redux_demo');
get_header(); ?> 

<div class="sassnex-bc">
    <div class="intro_wrapper">
        <div class="container">  
            <div class="row">        
                <div class="col-sm-12 col-md-12 col-lg-12">
                    <div class="intro_text">
                        <h1 class="wow fadeInUp" data-wow-duration="2s" data-wow-delay=".2s"><?php if(isset($sassnex_redux_demo['404_title'])&& $sassnex_redux_demo['404_title']!=''){?>
                            <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['404_title']));?>
                            <?php }else{?>
                            <?php echo esc_html__( '404', 'sassnex' );?>
                            <?php } ?></h1>
                        <div class="select_pages">
                            <a href="<?php echo esc_url(home_url('/')); ?>" title=""><?php echo esc_html__( 'Home', 'sassnex' );?></a> <span><?php if(isset($sassnex_redux_demo['404_title'])&& $sassnex_redux_demo['404_title']!=''){?>
                                <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['404_title']));?>
                                <?php }else{?>
                                <?php echo esc_html__( '404', 'sassnex' );?>
                                <?php } ?></span> 
                        </div>
                    </div>
                </div>
            </div>
        </div> 
    </div>  
    <div class="banner_shapes">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_1.png" alt="" class="agency_1 img-fluid">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_2">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_6">        
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_3.png" alt="" class="agency_3">    
    </div>
</div>
<section class="row content-404">
    <div class="container">
        <h2><?php if(isset($sassnex_redux_demo['404_title'])&& $sassnex_redux_demo['404_title']!=''){?>
        <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['404_title']));?>
        <?php }else{?>
        <?php echo esc_html__( '404', 'sassnex' );?>
        <?php } ?></h2>
        <h3><?php if(isset($sassnex_redux_demo['404_subtitle1'])&& $sassnex_redux_demo['404_subtitle1']!=''){?>
        <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['404_subtitle1']));?>
        <?php }else{?>
        <?php echo esc_html__( 'Oops! That page can’t be found', 'sassnex' );?>
        <?php } ?></h3>
        <h4><?php if(isset($sassnex_redux_demo['404_subtitle2']) && $sassnex_redux_demo['404_subtitle2']!=''){?>
        <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['404_subtitle2']));?>
        <?php }else{?>
        <?php echo esc_html__( 'Sorry, but the page you are looking for does not existing', 'sassnex' );?>
        <?php } ?></h4>
        <a href="<?php echo esc_url(home_url('/')); ?>" class="redirect-to-home btn btn-default"><?php if(isset($sassnex_redux_demo['404_btn'])&& $sassnex_redux_demo['404_btn']!=''){?>
        <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['404_btn']));?>
        <?php }else{?>
        <?php echo esc_html__( 'Back to Home Page', 'sassnex' );?>
        <?php } ?></a>
    </div>
</section>
<?php get_footer(); ?>