<?php
/**
 * The Template for displaying all single posts
 */
 $sassnex_redux_demo = get_option('redux_demo');

get_header(); ?>

<?php 
    while (have_posts()): the_post(); 
    $my_date = get_the_date('d M Y', false);
    $facebook = get_post_meta(get_the_ID(),'_cmb_single_facebook', true);
    $twitter = get_post_meta(get_the_ID(),'_cmb_single_twitter', true);
    $instagram = get_post_meta(get_the_ID(),'_cmb_single_instagram', true);
    $linkedin = get_post_meta(get_the_ID(),'_cmb_single_linkedin', true);
?>
<div class="sassnex-bc">
    <div class="intro_wrapper">
        <div class="container">  
            <div class="row">        
                <div class="col-sm-12 col-md-12 col-lg-12">
                    <div class="intro_text">
                        <h1 class="wow fadeInUp" data-wow-duration="2s" data-wow-delay=".2s"><?php the_title();?></h1>
                        <div class="select_pages">
                            <a href="<?php echo esc_url(home_url('/')); ?>" title=""><?php echo esc_html__( 'Home', 'sassnex' );?></a> <span><?php if(isset($sassnex_redux_demo['blog_post_title']) && $sassnex_redux_demo['blog_post_title']!=''){?>
                                <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['blog_post_title']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Blog Single', 'sassnex' );
                                }?></span> 
                        </div>
                    </div>
                </div>
            </div>
        </div> 
    </div>  
    <div class="banner_shapes">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_1.png" alt="" class="agency_1 img-fluid">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_2">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_6">        
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_3.png" alt="" class="agency_3">      
    </div>
</div>

<section class="blog_details">
    <div class="container">  
        <div class="row">        
            <div class="col-md-8 col-sm-12 col-xs-12">
                <div class="blog_post_wrapper">
                    <div class="blog_banner_area">
                        <?php if(get_post_thumbnail_id() != ''){?>
                        <div class="blog_banner">
                            <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="">
                        </div>
                        <?php } ?>
                        <div class="bloger_img d-flex justify-content-between">
                            <ul class="bloger_info d-flex">
                                <li class="post_date"><?php the_time(get_option( 'date_format' ));?></li>
                                <li class="loger"><?php the_author_posts_link(); ?></li>
                            </ul>
                            <?php echo get_avatar(get_the_author_meta('user_email'),122,
                                $default='http://0.gravatar.com/avatar/ad516503a11cd5ca435acc9bb6523536?s=100' );?>
                        </div>
                    </div>
                    <div class="blog_content">

                        <h3><?php the_title();?></h3>

                        <?php the_content(); ?>

                        <?php wp_link_pages( array(
                        'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'sassnex' ),
                        'after'       => '</div>',
                        'link_before' => '<span class="page-number">',
                        'link_after'  => '</span>',) ); 
                        ?>
                        <?php if (($facebook !== '') || ($twitter !== '') || ($instagram !== '') || ($linkedin !== '')) {?>
                        <div class="post_share d-flex justify-content-end">
                            <span><?php if(isset($sassnex_redux_demo['blog_share']) && $sassnex_redux_demo['blog_share']!=='') { ?>
                            <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['blog_share']));?>
                            <?php } else { ?>
                            <?php echo esc_html__( 'Share', 'sassnex' ) ;} ?>
                            </span>
                            <ul class="social_iocns d-flex">
                                <?php if ($facebook !== '') { ?>
                                <li><a href="<?php echo wp_specialchars_decode(esc_attr($facebook)); ?>" class="icon_tw"><i class="flaticon-facebook-logo"></i></a></li>
                                <?php } ?>
                                <?php if ($twitter !== '') { ?>
                                <li><a href="<?php echo wp_specialchars_decode(esc_attr($twitter)); ?>" class="icon_fb"><i class="flaticon-twitter "></i></a></li>
                                <?php } ?>
                                <?php if ($instagram !== '') { ?>
                                <li><a href="<?php echo wp_specialchars_decode(esc_attr($instagram)); ?>" class="icon_pin"><i class="flaticon-instagram-logo "></i></a></li>
                                <?php } ?>
                                <?php if ($linkedin !== '') { ?>
                                <li><a href="<?php echo wp_specialchars_decode(esc_attr($linkedin)); ?>" class="icon_link"><i class="flaticon-linkedin-logo "></i></a></li>
                                <?php } ?>
                            </ul>
                        </div>
                        <?php } ?>
                    </div>
                </div>
                <?php comments_template();?>
            </div>  
            <div class="col-md-4 col-sm-12 col-xs-12 single-sidebar">
                <div class="sidebar widget-sidebar">
                    <div class="allwidget-wrp">
                        <?php get_sidebar();?>
                    </div>
                </div>
            </div>
        </div>
    </div> 
</section>  <!-- End BLog Details -->

<?php endwhile; ?>
<!--  BLog Related Post section -->



<?php
  get_footer();
?>

