<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header(); ?>
<div class="sassnex-bc">
    <div class="intro_wrapper">
        <div class="container">  
            <div class="row">        
                <div class="col-sm-12 col-md-12 col-lg-12">
                    <div class="intro_text">
                        <h1 class="wow fadeInUp" data-wow-duration="2s" data-wow-delay=".2s">Shop Page</h1>
                        <div class="select_pages">
                            <a href="<?php echo esc_url(home_url('/')); ?>" title=""><?php echo esc_html__( 'Home', 'sassnex' );?></a> <span><?php if(isset($sassnex_redux_demo['shop_page_title']) && $sassnex_redux_demo['shop_page_title']!=''){?>
                                <?php echo wp_specialchars_decode(esc_attr($sassnex_redux_demo['shop_page_title']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Shop Page', 'sassnex' );
                                }?></span> 
                        </div>
                    </div>
                </div>
            </div>
        </div> 
    </div>  
    <div class="banner_shapes">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_1.png" alt="" class="agency_1 img-fluid">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_2">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_6">        
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_3.png" alt="" class="agency_3">      
    </div>
</div>
<section class="eco_products">
    <div class="container">
        <div class="row">
            <div class="col-sm-12 col-md-12 col-lg-12">
                <div>
                    <div class="latest-product-filter d-flex justify-content-between">
                        <?php
                            /**
                             * woocommerce_before_shop_loop hook.
                             *
                             * @hooked woocommerce_result_count - 20
                             * @hooked woocommerce_catalog_ordering - 30
                             */
                            do_action( 'woocommerce_before_shop_loop' );
                        ?>
                    </div>

                    <!-- Tab panes -->
                    <div class="tab-content eco_templates_items">
                        <div  class="tab-pane active in fade show" id="tab1">
                            <div class="row">                               
                                                             

                            <?php if ( have_posts() ) : ?>


                            <?php woocommerce_product_loop_start(); ?>

                            <?php woocommerce_product_subcategories(); ?>

                            <?php while ( have_posts() ) : the_post(); ?>
                            
                                <?php wc_get_template_part( 'content', 'product' ); ?>

                            <?php endwhile; // end of the loop. ?>

                            <?php woocommerce_product_loop_end(); ?>

                            <?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

                                <?php wc_get_template( 'loop/no-products-found.php' ); ?>

                            <?php endif; ?>  

                              
                            <div class="col-12 col-md-12 col-lg-12 d-flex justify-content-center">
                            <div class="pagination_wrapper">
                               <nav aria-label="...">
                                    <?php
                                    /**
                                     * woocommerce_after_shop_loop hook.
                                     *
                                     * @hooked woocommerce_pagination - 10
                                     */
                                    do_action( 'woocommerce_after_shop_loop' );
                                    ?>
                                </nav>
                            </div>
                        </div>

                            </div>
                        </div>

                        
                </div>
            </div><!-- Ends: .feature-tabs -->
        </div>        
    </div>   
</section>


<?php get_footer(); ?>
