<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<?php $image321 = get_post_meta(get_the_ID(),'_cmb_image321', true);
$rating_count = $product->get_rating_count();
$review_count = $product->get_review_count();
$average      = $product->get_average_rating(); ?>

	<div class="col-12 col-sm-6 col-md-6 col-lg-3 phone_p">
        <div class="eco_templates_single">
            <div class="preview_img">
                <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="" class="img-fluid">
                <div class="preview_caption">
                    <div class="preview_icon">
                        <a href="<?php the_permalink();?>"><span><i class="flaticon-view"></i></span></a>
                    </div>
                </div>
            </div>
            <div class="eco_template_details">
                <div class="template-title">
                    <h3><?php the_title();?></h3>
                    <h4><?php echo $product->get_price_html(); ?></h4>
                    <div class="woocommerce-product-rating" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
                    <div class="star-rating" title="<?php printf( __( 'Rated %s out of 5', 'woocommerce' ), $average ); ?>">
                          <span style="width:<?php echo ( ( $average / 5 ) * 100 ); ?>%">
                              <strong itemprop="ratingValue" class="rating"><?php echo esc_html( $average ); ?></strong> <?php printf( __( 'out of %s5%s', 'woocommerce' ), '<span itemprop="bestRating">', '</span>' ); ?>
                              <?php printf( _n( 'based on %s customer rating', 'based on %s customer ratings', $rating_count, 'woocommerce' ), '<span itemprop="ratingCount" class="rating">' . $rating_count . '</span>' ); ?>
                          </span>
                      </div>
                    </div>
                </div>
                <div class="add_cart"><a href="" title=""><?php do_action( 'woocommerce_after_shop_loop_item' );?></a></div>
            </div>
        </div><!-- Ends: .single courses -->
    </div>     