<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php
	/**
	 * woocommerce_before_single_product hook.
	 *
	 * @hooked wc_print_notices - 10
	 */
	 do_action( 'woocommerce_before_single_product' );

	 if ( post_password_required() ) {
	 	echo get_the_password_form();
	 	return;
	 }
	global $post, $product, $woocommerce;
	$link_twitter = get_post_meta(get_the_ID(),'_cmb_link_twitter', true);
    $link_facebook = get_post_meta(get_the_ID(),'_cmb_link_facebook', true);
    $link_instagram = get_post_meta(get_the_ID(),'_cmb_link_instagram', true);
    $link_linkedin = get_post_meta(get_the_ID(),'_cmb_link_linkedin', true);
	$attachment_ids = $product->get_gallery_attachment_ids();
	if ( $attachment_ids ) {
	$loop 		= 0;
	$columns 	= apply_filters( 'woocommerce_product_thumbnails_columns', 3 );
?>

			<div class="col-12 col-md-6 col-lg-6 cp1">
                <div class="product_view_wrapper">
                    <div class="row">
                        <div class="col-12 col-md-12 col-lg-12 p-0 p1">
                        	<div class="main_view product_signgle_view">
                            <?php

								foreach ( $attachment_ids as $attachment_id ) {


									$props       = wc_get_product_attachment_props( $attachment_id, $post );

									if ( ! $props['url'] ) {
										continue;
									}

									echo apply_filters(
										'woocommerce_single_product_image_thumbnail_html',
										sprintf(
											'%s',

											wp_get_attachment_image( $attachment_id, 1000)
										),
										$attachment_id,
										$post->ID,
										esc_attr( $image_class )
									);

									$loop++;
								}

							?>
							</div> 
							
                        </div>     
                        <div class="col-12 col-md-12 col-lg-12 p-0">
                            <div class="main_view_items product_view_all_items">
                             <?php

								foreach ( $attachment_ids as $attachment_id ) {


									$props       = wc_get_product_attachment_props( $attachment_id, $post );

									if ( ! $props['url'] ) {
										continue;
									}

									echo apply_filters(
										'woocommerce_single_product_image_thumbnail_html',
										sprintf(
											'%s',
											wp_get_attachment_image( $attachment_id, 1000)
										),
										$attachment_id,
										$post->ID,
										esc_attr( $image_class )
									);

									$loop++;
								}

							?>
                            </div> 
                        </div>                        
 

                    </div>
                </div>
            </div>

 <?php }	?>
            <div class="col-12 col-md-6 col-lg-6 cp2">
            	<div class="product_cart_description">
                	<?php
						/**
						 * woocommerce_single_product_summary hook.
						 *
						 * @hooked woocommerce_template_single_title - 5
						 * @hooked woocommerce_template_single_excerpt - 10
						 * @hooked woocommerce_template_single_price - 20
						 * @hooked woocommerce_template_single_add_to_cart - 30
						 * @hooked woocommerce_template_single_meta - 40
						 * @hooked woocommerce_template_single_sharing - 50
						 */
						do_action( 'woocommerce_single_product_summary' );
					?>
					<div class="product_cat">
					<?php echo esc_html__( 'Categories: ', 'sassnex' );?>

							<?php  $categories = get_the_terms(get_the_ID(),'product_cat');
							
                         	foreach( (array)$categories as $categorie){

					        $cat_name = $categorie->name;

					        $cat_slug = $categorie->slug; ?>

							<a href="<?php echo esc_url(home_url('/')); ?>?product_cat=<?php echo esc_attr($cat_slug);?>"><?php echo esc_attr($cat_name);?> </a>

	        		<?php } ?>
	        		</div>
	        		<div class="product_tag">
	        		<?php echo esc_html__( 'Tags: ', 'sassnex' );?>

							<?php  $categories1 = get_the_terms(get_the_ID(),'product_tag');
							
                         	foreach( (array)$categories1 as $categorie1){

					        $cat_name1 = $categorie1->name;

					        $cat_slug1 = $categorie1->slug; ?>

							<a href="<?php echo esc_url(home_url('/')); ?>?product_tag=<?php echo esc_attr($cat_slug1);?>"><?php echo esc_attr($cat_name1);?> </a>

	        		<?php } ?>
	        		</div>
	        		<ul class="social_iocns d-flex">
	        			<?php if($link_facebook!=="") {?>
                        <li><a href="<?php echo htmlspecialchars_decode(esc_attr($link_facebook));?>"><i class="flaticon-facebook-logo icon_tw"></i></a></li>
                        <?php } ?>
                        <?php if($link_twitter!=="") {?>
                        <li><a href="<?php echo htmlspecialchars_decode(esc_attr($link_twitter));?>"><i class="flaticon-twitter icon_fb"></i></a></li>
                        <?php } ?>
                        <?php if($link_instagram!=="") {?>
                        <li><a href="<?php echo htmlspecialchars_decode(esc_attr($link_instagram));?>"><i class="flaticon-instagram-logo icon_pin"></i></a></li>
                        <?php } ?>
                        <?php if($link_linkedin!=="") {?>
                        <li><a href="<?php echo htmlspecialchars_decode(esc_attr($link_linkedin));?>"><i class="flaticon-linkedin-logo icon_link"></i></a></li>
                        <?php } ?>
                    </ul>
				</div>
            </div>
   
            <?php
		/**
		 * woocommerce_after_single_product_summary hook.
		 *
		 * @hooked woocommerce_output_product_data_tabs - 10
		 * @hooked woocommerce_upsell_display - 15
		 * @hooked woocommerce_output_related_products - 20
		 */
		do_action( 'woocommerce_after_single_product_summary' );
	?>

	<meta itemprop="url" content="<?php the_permalink(); ?>" />


<?php do_action( 'woocommerce_after_single_product' ); ?>
