<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */
 $hostpro_redux_demo = get_option('redux_demo');
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header(); ?>
<div class="sassnex-bc">
    <div class="intro_wrapper">
        <div class="container">  
            <div class="row">        
                <div class="col-sm-12 col-md-12 col-lg-12">
                    <div class="intro_text">
                        <h1 class="wow fadeInUp" data-wow-duration="2s" data-wow-delay=".2s"><?php the_title();?></h1>
                        <div class="select_pages">
                            <a href="<?php echo esc_url(home_url('/')); ?>" title=""><?php echo esc_html__( 'Home', 'sassnex' );?></a> <a href="<?php echo get_permalink( woocommerce_get_page_id( 'shop' ) ); ?>" title=""><?php echo esc_html__( 'Shop', 'sassnex' );?></a> <span><?php the_title();?></span> 
                        </div>
                    </div>
                </div>
            </div>
        </div> 
    </div>  
    <div class="banner_shapes">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_1.png" alt="" class="agency_1 img-fluid">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_2">
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_4.png" alt="" class="agency_6">        
        <img src="<?php echo get_template_directory_uri();?>/images/shapes/app_3.png" alt="" class="agency_3">    
    </div>
</div>
<div class="shop_details">
    <div class="container">
        <div class="row">

            <?php while ( have_posts() ) : the_post() ;?>

            <?php wc_get_template_part( 'content', 'single-product' ); ?>

            <?php endwhile; ?>
    
        </div>
    </div>
</div>

<div class="related_products">
    <div class="container">
        <div class="row">
            <div class="col-12 col-md-12 col-lg-11">
                <div class="related_product">                               
                    <?php 

                    $atts = shortcode_atts( array(
                        'columns'  => '4',
                        'category' => '',  // Slugs
                        'operator' => 'IN' // Possible values are 'IN', 'NOT IN', 'AND'.
                    ), $atts, 'best_selling_products' );
                    $query_args = array(    
                        'post_type'           => 'product',
                        'post_status'         => 'publish',
                        'ignore_sticky_posts' => 1,
                        'posts_per_page'      => 10,
                        'meta_key'            => 'total_sales',
                        'orderby'             => 'meta_value_num',
                        'meta_query'          => WC()->query->get_meta_query() );
                     $wp_query = new WP_Query($query_args);        

                     while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
                     $image321 = get_post_meta(get_the_ID(),'_cmb_image321', true);
                     $rating_count = $product->get_rating_count();
                     $review_count = $product->get_review_count();
                     $average      = $product->get_average_rating();
                     ?> 


                    <div class="eco_templates_single">
                        <div class="preview_img">
                            <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="" class="img-fluid"></a>
                            
                        </div>
                        <div class="eco_template_details">
                            <div class="template-title">
                                <a href="<?php the_permalink();?>"><h3><?php the_title();?></h3></a>
                                <h4><?php echo $product->get_price_html(); ?></h4>
                                <div class="woocommerce-product-rating" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
                                <div class="star-rating" title="<?php printf( __( 'Rated %s out of 5', 'woocommerce' ), $average ); ?>">
                                    <span style="width:<?php echo ( ( $average / 5 ) * 100 ); ?>%">
                                        <strong itemprop="ratingValue" class="rating"><?php echo esc_html( $average ); ?></strong> <?php printf( __( 'out of %s5%s', 'woocommerce' ), '<span itemprop="bestRating">', '</span>' ); ?>
                                        <?php printf( _n( 'based on %s customer rating', 'based on %s customer ratings', $rating_count, 'woocommerce' ), '<span itemprop="ratingCount" class="rating">' . $rating_count . '</span>' ); ?>
                                    </span>
                                </div>
                                </div>
                                <?php if ( comments_open() ) : ?><a href="#reviews" class="woocommerce-review-link" rel="nofollow">(<?php printf( _n( '%s customer review', '%s customer reviews', $review_count, 'woocommerce' ), '<span itemprop="reviewCount" class="count">' . $review_count . '</span>' ); ?>)</a><?php endif ?>
                            </div>
                            <div class="add_cart"><a href="" title=""><?php do_action( 'woocommerce_after_shop_loop_item' );?></a></div>
                            
                        </div>
                    </div><!-- Ends: .single courses -->

                   <?php endwhile; ?>
                </div>  
            </div>
        </div>
    </div>
</div>

<?php get_footer(); ?>
